For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update VAT types

Update accounting VAT type for a store

Required permissions: ACCOUNTING_CONFIG

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Treat codes

balancestringOptional

VAT type used for balance transactions

Responses
200

Example response

application/json

Treat codes

balancestringRequired

VAT type used for balance transactions

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "balance": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "value": "text"
    }
  ]
}
200

Example response

{
  "balance": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "value": "text"
    }
  ]
}

Last updated

Was this helpful?